PKG-BACKUP(8)

NAME
pkg backup - backup and restore the local package database

SYNOPSIS
pkg backup [-q] -d dest_file
pkg backup [-q] -r src_file

pkg backup [--quiet] --dump dest_file
pkg backup [--quiet] --restore src_file

DESCRIPTION
pkg backup is used to backup and restore the local package database.

OPTIONS
The following options are supported by pkg backup:

-d dest_file, --dump dest_file
    Dumps the local package database to a file specified on the command-line.

-q, --quiet
    Force quiet output.

-r src_file, --restore src_file
    Uses src_file in order to restore the local package database. Useful in case of a database crash or loss, to restore your database from a previous backup.

ENVIRONMENT
The following environment variables affect the execution of pkg backup. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)